## org.eclipse.ocl.expressions
Interface IterateExp<C,PM>

All Superinterfaces:
  ASTNode, CallExp<C>, CallingASTNode, EObject, LoopExp<C,PM>, Notifier, OCLExpression<C>, TypedElement<C>, Visitable

All Known Subinterfaces:
  IterateExp, IterateExp

All Known Implementing Classes:
  IterateExpImpl, IterateExpImpl, IterateExpImpl

    public interface IterateExp<C,PM>

extends LoopExp<C,PM>

A representation of the model object 'Iterate Exp'.

The following features are supported:

- `Result`

See Also:
  `ExpressionsPackage.getIterateExp()`

Method Summary
`boolean` `checkBodyType(DiagnosticChain diagnostics, Map<Object,Object> context)` body.type.conformsTo(result.type)
`boolean` `checkIterateType(DiagnosticChain diagnostics, Map<Object,Object> context)` type = result.type
`boolean` `checkResultInit(DiagnosticChain diagnostics, Map<Object,Object> context)` self.result.initExpression->size() = 1
`Variable<C,PM>` `getResult()` Returns the value of the 'Result' containment reference
`void` `setResult(Variable<C,PM> value)` Sets the value of the '`Result`' containment reference

Methods inherited from interface org.eclipse.ocl.expressions.LoopExp
`checkLoopVariableInit, checkLoopVariableType, checkSourceCollection, getBody, getIterator, setBody`

Methods inherited from interface org.eclipse.ocl.expressions.CallExp
`getSource, setSource`

Methods inherited from interface org.eclipse.ocl.utilities.TypedElement
`getName, getType, setName, setType`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.CallingASTNode
`getPropertyEndPosition, getPropertyStartPosition, setPropertyEndPosition, setPropertyStartPosition`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getResult

    Variable<C,PM> getResult()

  Returns the value of the 'Result' containment reference.

  If the meaning of the 'Result' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Result' containment reference.
  See Also:
    `setResult(Variable)`, `ExpressionsPackage.getIterateExp_Result()`

### setResult

    void setResult(Variable<C,PM> value)

  Sets the value of the '`Result`' containment reference.

  Parameters:
    `value` - the new value of the 'Result' containment reference.
  See Also:
    `getResult()`

### checkIterateType

    boolean checkIterateType(DiagnosticChain diagnostics,
                             Map<Object,Object> context)

  type = result.type

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### checkBodyType

    boolean checkBodyType(DiagnosticChain diagnostics,
                          Map<Object,Object> context)

  body.type.conformsTo(result.type)

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### checkResultInit

    boolean checkResultInit(DiagnosticChain diagnostics,
                            Map<Object,Object> context)

  self.result.initExpression->size() = 1

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.